// This class represents a Astronaut. It extends the Employee class. 
public class Astronaut extends Employee {

    // Prints out that this Astronaut is taking off.
    public void takeoff() {
        System.out.println("3... 2... 1... Blast off!");
    }

    // Returns a string representation of this astronaut, 
    // specifically "astronaut"
    public String toString() {
        return "Astronaut";
    }

    // Returns the number of hours this astronaut works
    // in a week.
    public int getHours() {
        return super.getHours() * 4;
    }
}
