import java.util.*;

// This class allows for managing employees.
public class EmployeeManager {
    public static void main(String[] args) {
        Employee e = new Employee();
        Doctor d = new Doctor("Group Health");
        Surgeon s = new Surgeon("Swedish Medical Center");
        Lawyer l = new Lawyer();
        Astronaut a = new Astronaut();

        // Part 1
        System.out.println("Hours for " + e + ":");
        System.out.println(e.getHours());
        System.out.println();

        System.out.println("Hours for " + d + ":");
        System.out.println(d.getHours());
        System.out.println();

        System.out.println("Hours for " + l + ":");
        System.out.println(l.getHours());
        System.out.println();

        List<HealthcareWorker> hospitalStaff = new ArrayList<>();
        hospitalStaff.add(new HealthcareWorker("Virginia Mason"));
        hospitalStaff.add(new Surgeon("UW Medical Center"));
        hospitalStaff.add(d);
        System.out.println("All hospital staff: " + hospitalStaff);
    }
}
